## crda 1.1.2

=== Makefile ===
# Modify as you see fit, note this is built into crda,
# so if you change it here you will have to change crda.c
REG_BIN?=/usr/lib/crda/regulatory.bin
REG_GIT?=git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-regdb.git

PREFIX ?= /usr/
MANDIR ?= $(PREFIX)/share/man/

SBINDIR ?= /sbin/

# Use a custom CRDA_UDEV_LEVEL when callling make install to
# change your desired level for the udev regulatory.rules
CRDA_UDEV_LEVEL?=85
UDEV_LEVEL=$(CRDA_UDEV_LEVEL)-
# You can customize this if your distributions uses
# a different location.
UDEV_RULE_DIR?=/lib/udev/rules.d/

# If your distribution requires a custom pubkeys dir
# you must update this variable to reflect where the
# keys are put when building. For example you can run
# with make PUBKEY_DIR=/usr/lib/crda/pubkeys
PUBKEY_DIR?=pubkeys
RUNTIME_PUBKEY_DIR?=/etc/wireless-regdb/pubkeys

CFLAGS += -Wall -g

all: all_noverify verify

all_noverify: crda intersect regdbdump

ifeq ($(USE_OPENSSL),1)
CFLAGS += -DUSE_OPENSSL -DPUBKEY_DIR=\"$(RUNTIME_PUBKEY_DIR)\" `pkg-config --cflags openssl`
LDLIBS += `pkg-config --libs openssl`

reglib.o: keys-ssl.c

else
CFLAGS += -DUSE_GCRYPT
LDLIBS += -lgcrypt

reglib.o: keys-gcrypt.c

endif
MKDIR ?= mkdir -p
INSTALL ?= install

NL1FOUND := $(shell pkg-config --atleast-version=1 libnl-1 && echo Y)
NL2FOUND := $(shell pkg-config --atleast-version=2 libnl-2.0 && echo Y)
NL3FOUND := $(shell pkg-config --atleast-version=3 libnl-3.0 && echo Y)

ifeq ($(NL3FOUND),Y)
CFLAGS += -DCONFIG_LIBNL30
NLLIBS += -lnl-genl
NLLIBNAME = libnl-3.0
else
	ifeq ($(NL2FOUND),Y)
	CFLAGS += -DCONFIG_LIBNL20
	NLLIBS += -lnl-genl
	NLLIBNAME = libnl-2.0
	else
		ifeq ($(NL1FOUND),Y)
		NLLIBNAME = libnl-1
		endif
	endif
endif

ifeq ($(NLLIBNAME),)
$(error Cannot find development files for any supported version of libnl)
endif

NLLIBS += `pkg-config --libs $(NLLIBNAME)`
CFLAGS += `pkg-config --cflags $(NLLIBNAME)`

ifeq ($(V),1)
Q=
NQ=@true
else
Q=@
NQ=@echo
endif

$(REG_BIN):
	$(NQ) '  EXIST ' $(REG_BIN)
	$(NQ)
	$(NQ) ERROR: The file: $(REG_BIN) is missing. You need this in place in order
	$(NQ) to verify CRDA. You can get it from:
	$(NQ)
	$(NQ) $(REG_GIT)
	$(NQ)
	$(NQ) "Once cloned (no need to build) cp regulatory.bin to $(REG_BIN)"
	$(NQ) "Use \"make noverify\" to disable verification"
	$(NQ)
	$(Q) exit 1

keys-%.c: utils/key2pub.py $(wildcard $(PUBKEY_DIR)/*.pem)
	$(NQ) '  GEN ' $@
	$(NQ) '  Trusted pubkeys:' $(wildcard $(PUBKEY_DIR)/*.pem)
	$(Q)./utils/key2pub.py --$* $(wildcard $(PUBKEY_DIR)/*.pem) $@

%.o: %.c regdb.h
	$(NQ) '  CC  ' $@
	$(Q)$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<

crda: reglib.o crda.o
	$(NQ) '  LD  ' $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(NLLIBS)

regdbdump: reglib.o regdbdump.o print-regdom.o
	$(NQ) '  LD  ' $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)

intersect: reglib.o intersect.o print-regdom.o
	$(NQ) '  LD  ' $@
	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)

verify: $(REG_BIN) regdbdump
	$(NQ) '  CHK  $(REG_BIN)'
	$(Q)./regdbdump $(REG_BIN) >/dev/null

%.gz: %
	@$(NQ) ' GZIP' $<
	$(Q)gzip < $< > $@

install: crda crda.8.gz regdbdump.8.gz
	$(NQ) '  INSTALL  crda'
	$(Q)$(MKDIR) $(DESTDIR)/$(SBINDIR)
	$(Q)$(INSTALL) -m 755 -t $(DESTDIR)/$(SBINDIR) crda
	$(NQ) '  INSTALL  regdbdump'
	$(Q)$(INSTALL) -m 755 -t $(DESTDIR)/$(SBINDIR) regdbdump
	$(NQ) '  INSTALL  $(UDEV_LEVEL)regulatory.rules'
	$(Q)$(MKDIR) $(DESTDIR)/$(UDEV_RULE_DIR)/
	@# This removes the old rule you may have, we were not
	@# putting it in the right place.
	$(Q)rm -f $(DESTDIR)/etc/udev/rules.d/regulatory.rules
	$(Q)sed 's:$$(SBINDIR):$(SBINDIR):' udev/regulatory.rules > udev/regulatory.rules.parsed
	$(Q)ln -sf regulatory.rules.parsed udev/$(UDEV_LEVEL)regulatory.rules
	$(Q)$(INSTALL) -m 644 -t \
		$(DESTDIR)/$(UDEV_RULE_DIR)/ \
		udev/$(UDEV_LEVEL)regulatory.rules
	$(NQ) '  INSTALL  crda.8.gz'
	$(Q)$(MKDIR) $(DESTDIR)$(MANDIR)/man8/
	$(Q)$(INSTALL) -m 644 -t $(DESTDIR)/$(MANDIR)/man8/ crda.8.gz
	$(NQ) '  INSTALL  regdbdump.8.gz'
	$(Q)$(INSTALL) -m 644 -t $(DESTDIR)/$(MANDIR)/man8/ regdbdump.8.gz

clean:
	$(Q)rm -f crda regdbdump intersect *.o *~ *.pyc keys-*.c *.gz \
	udev/$(UDEV_LEVEL)regulatory.rules udev/regulatory.rules.parsed

## crda 1.1.1

=== debian/changelog ===
crda (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #536502)
    - Most packaging was done by Kel Modderman and Stefan Lippers-Hollmann

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 Apr 2011 13:18:35 +0100

=== debian/control ===
Source: crda
Section: net
Priority: optional
Maintainer: Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 8),
 libnl-dev,
 libssl-dev,
 pkg-config
Standards-Version: 3.9.1
Homepage: http://wireless.kernel.org/en/developers/Regulatory/#CRDA

Package: crda
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 wireless-regdb
Recommends: iw
Description: wireless Central Regulatory Domain Agent
 This package provides a Central Regulatory Domain Agent (CRDA) to be used by
 the Linux kernel cf80211 wireless subsystem to query and apply the regulatory
 domain settings wireless devices may operate within for a given location.
 .
 CRDA queries operational frequency regulations stored within the regulatory
 database provided by the wireless-regdb package.

## crda 1.1.2

=== debian/changelog ===
crda (1.1.2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze
    - Use libnl2, not libnl3
    - Drop Multi-Arch field

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 14 Jul 2012 21:42:30 +0100

crda (1.1.2-1) unstable; urgency=low

  * New upstream version

  [ Stefan Lippers-Hollmann ]
  * switch to libnl3 3.2 and raise versioned build-dependency to (>= 3.2.3-2~),
    to be able to expect it in /lib/.
  * crda is specific to the linux kernel, restrict it to linux-any.
  * bump standards version to 3.9.2, no changes necessary.

  [ Ben Hutchings ]
  * debian/control: Add references to git repository
  * debian/control: Set Multi-Arch: foreign, thanks to Tim Gardner

 -- Ben Hutchings <ben@decadent.org.uk>  Thu, 29 Dec 2011 02:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Ben Hutchings <ben@decadent.org.uk>
 Build-Depends: debhelper (>= 8),
- libnl-dev,
+ libnl2-dev,
  libssl-dev,
  pkg-config
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/kernel/crda.git
+Vcs-Browser: http://git.debian.org/?p=kernel/crda.git
 Homepage: http://wireless.kernel.org/en/developers/Regulatory/#CRDA
 
 Package: crda
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  wireless-regdb

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS = -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
export REG_BIN = /lib/crda/regulatory.bin
export USE_OPENSSL = 1
export RUNTIME_PUBKEY_DIR = /lib/crda/pubkeys
export RUNTIME_PUBKEY_ONLY = 1
export V = 1
#export DH_VERBOSE = 1

%:
	dh ${@}

override_dh_auto_build:
	dh_auto_build -- all_noverify

override_dh_install:
	dh_install
	install -D -o 0 -g 0 -m 755 debian/setregdomain \
		debian/crda/lib/crda/setregdomain
	mkdir -m 755 debian/crda/$(RUNTIME_PUBKEY_DIR)
	install -m 644 pubkeys/*.pem debian/pubkeys/*.pem \
		debian/crda/$(RUNTIME_PUBKEY_DIR)/

## crda 3.13

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 PREFIX ?= /usr/
 MANDIR ?= $(PREFIX)/share/man/
+INCLUDE_DIR ?= $(PREFIX)/include/reglib/
+LIBDIR ?= $(PREFIX)/lib
 
 SBINDIR ?= /sbin/
 
@@ -23,23 +25,29 @@
 PUBKEY_DIR?=pubkeys
 RUNTIME_PUBKEY_DIR?=/etc/wireless-regdb/pubkeys
 
+CFLAGS += -O2 -fpic
+CFLAGS += -std=gnu99 -Wall -Werror -pedantic
 CFLAGS += -Wall -g
+LDLIBS += -lm
+LDLIBREG += -lreg
+LIBREG += libreg.so
+LDFLAGS += -L ./ $(LDLIBREG)
 
 all: all_noverify verify
 
-all_noverify: crda intersect regdbdump
+all_noverify: $(LIBREG) crda intersect regdbdump db2rd optimize
 
 ifeq ($(USE_OPENSSL),1)
 CFLAGS += -DUSE_OPENSSL -DPUBKEY_DIR=\"$(RUNTIME_PUBKEY_DIR)\" `pkg-config --cflags openssl`
 LDLIBS += `pkg-config --libs openssl`
 
-reglib.o: keys-ssl.c
+$(LIBREG): keys-ssl.c
 
 else
 CFLAGS += -DUSE_GCRYPT
 LDLIBS += -lgcrypt
 
-reglib.o: keys-gcrypt.c
+$(LIBREG): keys-gcrypt.c
 
 endif
 MKDIR ?= mkdir -p
@@ -48,19 +56,26 @@
 NL1FOUND := $(shell pkg-config --atleast-version=1 libnl-1 && echo Y)
 NL2FOUND := $(shell pkg-config --atleast-version=2 libnl-2.0 && echo Y)
 NL3FOUND := $(shell pkg-config --atleast-version=3 libnl-3.0 && echo Y)
+NL32FOUND := $(shell pkg-config --atleast-version=3 libnl-3.2 && echo Y)
 
-ifeq ($(NL3FOUND),Y)
+ifeq ($(NL32FOUND),Y)
 CFLAGS += -DCONFIG_LIBNL30
-NLLIBS += -lnl-genl
-NLLIBNAME = libnl-3.0
+NLLIBS += $(shell pkg-config --libs libnl-genl-3.2)
+NLLIBNAME = libnl-3.2
 else
-	ifeq ($(NL2FOUND),Y)
-	CFLAGS += -DCONFIG_LIBNL20
-	NLLIBS += -lnl-genl
-	NLLIBNAME = libnl-2.0
+	ifeq ($(NL3FOUND),Y)
+	CFLAGS += -DCONFIG_LIBNL30
+	NLLIBS += $(shell pkg-config --libs libnl-genl-3.0)
+	NLLIBNAME = libnl-3.0
 	else
-		ifeq ($(NL1FOUND),Y)
-		NLLIBNAME = libnl-1
+		ifeq ($(NL2FOUND),Y)
+		CFLAGS += -DCONFIG_LIBNL20
+		NLLIBS += -lnl-genl
+		NLLIBNAME = libnl-2.0
+		else
+			ifeq ($(NL1FOUND),Y)
+			NLLIBNAME = libnl-1
+			endif
 		endif
 	endif
 endif
@@ -98,31 +113,56 @@
 	$(NQ) '  Trusted pubkeys:' $(wildcard $(PUBKEY_DIR)/*.pem)
 	$(Q)./utils/key2pub.py --$* $(wildcard $(PUBKEY_DIR)/*.pem) $@
 
-%.o: %.c regdb.h
+$(LIBREG): regdb.h reglib.h reglib.c
+	$(NQ) '  CC  ' $@
+	$(Q)$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -shared -Wl,-soname,$(LIBREG) $^
+
+install-libreg-headers:
+	$(NQ) '  INSTALL  libreg-headers'
+	$(Q)mkdir -p $(INCLUDE_DIR)
+	$(Q)cp *.h $(INCLUDE_DIR)/
+
+install-libreg:
+	$(NQ) '  INSTALL  libreg'
+	$(Q)mkdir -p $(LIBDIR)
+	$(Q)cp $(LIBREG) $(LIBDIR)/
+	$(Q)ldconfig
+
+%.o: %.c regdb.h $(LIBREG)
 	$(NQ) '  CC  ' $@
 	$(Q)$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<
 
-crda: reglib.o crda.o
+crda: crda.o
 	$(NQ) '  LD  ' $@
 	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS) $(NLLIBS)
 
-regdbdump: reglib.o regdbdump.o print-regdom.o
+regdbdump: regdbdump.o
 	$(NQ) '  LD  ' $@
 	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
 
-intersect: reglib.o intersect.o print-regdom.o
+intersect: intersect.o
+	$(NQ) '  LD  ' $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
+
+db2rd: db2rd.o
+	$(NQ) '  LD  ' $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
+
+optimize: optimize.o
 	$(NQ) '  LD  ' $@
 	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LDLIBS)
 
 verify: $(REG_BIN) regdbdump
 	$(NQ) '  CHK  $(REG_BIN)'
-	$(Q)./regdbdump $(REG_BIN) >/dev/null
+	$(Q)\
+		LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) \
+		./regdbdump $(REG_BIN) >/dev/null
 
 %.gz: %
 	@$(NQ) ' GZIP' $<
 	$(Q)gzip < $< > $@
 
-install: crda crda.8.gz regdbdump.8.gz
+install: install-libreg install-libreg-headers crda crda.8.gz regdbdump.8.gz
 	$(NQ) '  INSTALL  crda'
 	$(Q)$(MKDIR) $(DESTDIR)/$(SBINDIR)
 	$(Q)$(INSTALL) -m 755 -t $(DESTDIR)/$(SBINDIR) crda
@@ -145,5 +185,6 @@
 	$(Q)$(INSTALL) -m 644 -t $(DESTDIR)/$(MANDIR)/man8/ regdbdump.8.gz
 
 clean:
-	$(Q)rm -f crda regdbdump intersect *.o *~ *.pyc keys-*.c *.gz \
+	$(Q)rm -f $(LIBREG) crda regdbdump intersect db2rd optimize \
+		*.o *~ *.pyc keys-*.c *.gz \
 	udev/$(UDEV_LEVEL)regulatory.rules udev/regulatory.rules.parsed

=== debian/changelog ===
crda (3.13-1) unstable; urgency=medium

  * New upstream version (Closes: #720119)
    - reglib: Validate all structure and array lengths (Closes: #716247)
  * debian/control, debian/watch: Update Homepage and download URLs
  * debian/copyright: Update licence information and copyright holders
    - Licence is now copyleft-next 0.3.0
  * Fix build regressions in new upstream version:
    - Fix the linking order to avoid compilation error
    - Add DESTDIR support in install-libreg* rules in Makefile
    - Do not run ldconfig if DESTDIR is set
    - Fix linking of libraries used by reglib
  * Install reglib in /lib/crda, not /usr/lib
  * debian/crda.lintian-overrides: Override lintian errors due to
    wrongly detecting copyleft-next as GPL

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 23 Aug 2014 12:34:19 -0700

crda (1.1.3-1) unstable; urgency=low

  * New upstream version
    - Add support to send DFS master region
  * debian/control: Correct spelling of 'cfg80211' (Closes: #657905)
  * debian/watch: Change regex to avoid matching 'latest' symlink
    (Closes: #756624)
  * Update policy version to 3.9.4
    - debian/copyright: Update to 1.0 format (no changes required)
  * debian/copyright: Add my copyright to Debian packaging
  * Require iw to be installed in /sbin

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 22 Aug 2014 23:07:48 -0700

=== debian/control ===
Source: crda
Section: net
Priority: optional
Maintainer: Ben Hutchings <ben@decadent.org.uk>
Build-Depends: debhelper (>= 8),
 libnl-3-dev (>= 3.2.3-2~) [linux-any],
 libnl-genl-3-dev (>= 3.2.3-2~) [linux-any],
 libssl-dev,
 pkg-config
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/kernel/crda.git
Vcs-Browser: http://git.debian.org/?p=kernel/crda.git
Homepage: http://wireless.kernel.org/en/developers/Regulatory/CRDA

Package: crda
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
 ${misc:Depends},
 wireless-regdb,
 iw (>= 3.2-1~)
Description: wireless Central Regulatory Domain Agent
 This package provides a Central Regulatory Domain Agent (CRDA) to be used by
 the Linux kernel cfg80211 wireless subsystem to query and apply the regulatory
 domain settings wireless devices may operate within for a given location.
 .
 CRDA queries operational frequency regulations stored within the regulatory
 database provided by the wireless-regdb package.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export CFLAGS = -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
+export LIBDIR = /lib/crda
+export LDLIBREG = -Wl,-rpath,$(LIBDIR)
 export REG_BIN = /lib/crda/regulatory.bin
 export USE_OPENSSL = 1
 export RUNTIME_PUBKEY_DIR = /lib/crda/pubkeys

## crda 3.18

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Modify as you see fit, note this is built into crda,
 # so if you change it here you will have to change crda.c
 REG_BIN?=/usr/lib/crda/regulatory.bin
-REG_GIT?=git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless-regdb.git
+REG_GIT?=git://git.kernel.org/pub/scm/linux/kernel/git/sforshee/wireless-regdb.git
 
 PREFIX ?= /usr/
 MANDIR ?= $(PREFIX)/share/man/
@@ -28,10 +28,11 @@
 CFLAGS += -O2 -fpic
 CFLAGS += -std=gnu99 -Wall -Werror -pedantic
 CFLAGS += -Wall -g
+LDLIBREG += -lreg
+LDLIBS += $(LDLIBREG)
 LDLIBS += -lm
-LDLIBREG += -lreg
 LIBREG += libreg.so
-LDFLAGS += -L ./ $(LDLIBREG)
+LDFLAGS += -L ./
 
 all: all_noverify verify
 
@@ -119,13 +120,13 @@
 
 install-libreg-headers:
 	$(NQ) '  INSTALL  libreg-headers'
-	$(Q)mkdir -p $(INCLUDE_DIR)
-	$(Q)cp *.h $(INCLUDE_DIR)/
+	$(Q)mkdir -p $(DESTDIR)/$(INCLUDE_DIR)
+	$(Q)cp *.h $(DESTDIR)/$(INCLUDE_DIR)/
 
 install-libreg:
 	$(NQ) '  INSTALL  libreg'
-	$(Q)mkdir -p $(LIBDIR)
-	$(Q)cp $(LIBREG) $(LIBDIR)/
+	$(Q)mkdir -p $(DESTDIR)/$(LIBDIR)
+	$(Q)cp $(LIBREG) $(DESTDIR)/$(LIBDIR)/
 	$(Q)ldconfig
 
 %.o: %.c regdb.h $(LIBREG)

=== debian/changelog ===
crda (3.18-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:48:56 +0000

crda (3.18-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * New upstream version (Closes: #840623)
  * debian/control: Change Vcs-Git, Vcs-Browser and Homepage to canonical
    HTTP-S URLs
  * debian/copyright: Change Source to HTTP-S URL
  * Use debhelper compatibility level 9
  * debian/control: Update Standards-Version to 3.9.8; no changes needed
  * debian/rules: Pass dpkg build flags to Makefile (Closes: #784917)

  [ Helmut Grohne ]
  * Fix FTCBFS: use triplet prefixed tools (Closes: #836093)

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 18 Jan 2017 01:58:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: crda
 Section: net
 Priority: optional
-Maintainer: Ben Hutchings <ben@decadent.org.uk>
-Build-Depends: debhelper (>= 8),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
+Build-Depends: debhelper (>= 9),
  libnl-3-dev (>= 3.2.3-2~) [linux-any],
  libnl-genl-3-dev (>= 3.2.3-2~) [linux-any],
  libssl-dev,
  pkg-config
-Standards-Version: 3.9.4
-Vcs-Git: git://git.debian.org/kernel/crda.git
-Vcs-Browser: http://git.debian.org/?p=kernel/crda.git
-Homepage: http://wireless.kernel.org/en/developers/Regulatory/CRDA
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/kernel/crda.git
+Vcs-Browser: https://anonscm.debian.org/cgit/kernel/crda.git
+Homepage: https://wireless.wiki.kernel.org/en/developers/Regulatory/CRDA
 
 Package: crda
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,15 @@
 #!/usr/bin/make -f
 
-export CFLAGS = -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)
+include /usr/share/dpkg/architecture.mk
+ifeq ($(origin CC),default)
+CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
+export CC
+export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 export LIBDIR = /lib/crda
 export LDLIBREG = -Wl,-rpath,$(LIBDIR)
 export REG_BIN = /lib/crda/regulatory.bin

## crda 4.14+git20191112.9856751

=== Makefile ===
--- 
+++ 
@@ -114,19 +114,19 @@
 	$(NQ) '  Trusted pubkeys:' $(wildcard $(PUBKEY_DIR)/*.pem)
 	$(Q)./utils/key2pub.py --$* $(wildcard $(PUBKEY_DIR)/*.pem) $@
 
-$(LIBREG): regdb.h reglib.h reglib.c
+$(LIBREG): reglib.c regdb.h reglib.h
 	$(NQ) '  CC  ' $@
-	$(Q)$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -shared -Wl,-soname,$(LIBREG) $^
+	$(Q)$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -shared -Wl,-soname,$(LIBREG) $<
 
 install-libreg-headers:
 	$(NQ) '  INSTALL  libreg-headers'
 	$(Q)mkdir -p $(DESTDIR)/$(INCLUDE_DIR)
-	$(Q)cp *.h $(DESTDIR)/$(INCLUDE_DIR)/
+	$(Q)$(INSTALL) -m 644 *.h $(DESTDIR)/$(INCLUDE_DIR)/
 
 install-libreg:
 	$(NQ) '  INSTALL  libreg'
 	$(Q)mkdir -p $(DESTDIR)/$(LIBDIR)
-	$(Q)cp $(LIBREG) $(DESTDIR)/$(LIBDIR)/
+	$(Q)$(INSTALL) -m 644 $(LIBREG) $(DESTDIR)/$(LIBDIR)/
 	$(Q)ldconfig
 
 %.o: %.c regdb.h $(LIBREG)

=== debian/changelog ===
crda (4.14+git20191112.9856751-1) unstable; urgency=medium

  * New upstream version:
    - Upstream version is commit 9856751feaf7b102547cea678a5da6c94252d83d
      dated 2019-11-12

  [ Ben Hutchings ]
  * debian/control: Point Vcs URLs to Salsa
  * debian/control: Change to team-maintained, with me as Uploader
  * debian/control: Use my debian.org email in Uploaders field
  * debian/watch: Switch to git as upstream is no longer making releases
  * Add debian/.gitignore to ignore Debian generated files
  * Use $(LDFLAGS) when building reglib
  * Install crda binary under /lib/crda
  * debian/copyright: Note the new Copyleft-Next repository
  * debian/copyright: Fix typo in the snapshot.debian.org URL
  * debian/copyright: Default license is Copyleft-Next only
  * debian/copyright: Use https: scheme for snapshot.debian.org and Format
    field
  * lintian: Override warning for the Gitorious URL in text of Copyleft-Next
  * debian/rules: Remove unnecessary -u and -g options from install command
  * debian/control: Set Rules-Requires-Root: no
  * debian/rules: Add support for DEB_BUILD_OPTIONS=terse
  * debian/control: Update Standards-Version to 4.5.0

  [ Romain Perier ]
  * Fix build regression with sbuild
  * debian/pubkeys: Add my own public key
  * debian/rules: override dh_auto_clean to only trigger make clean

 -- Ben Hutchings <benh@debian.org>  Tue, 31 Mar 2020 23:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: crda
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ben Hutchings <ben@decadent.org.uk>
+Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Uploaders: Ben Hutchings <benh@debian.org>
 Build-Depends: debhelper (>= 9),
  libnl-3-dev (>= 3.2.3-2~) [linux-any],
  libnl-genl-3-dev (>= 3.2.3-2~) [linux-any],
  libssl-dev,
  pkg-config
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/kernel/crda.git
-Vcs-Browser: https://anonscm.debian.org/cgit/kernel/crda.git
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/kernel-team/crda.git
+Vcs-Browser: https://salsa.debian.org/kernel-team/crda
 Homepage: https://wireless.wiki.kernel.org/en/developers/Regulatory/CRDA
 
 Package: crda

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,13 @@
 include /usr/share/dpkg/buildflags.mk
 
 export LIBDIR = /lib/crda
+export LIBEXECDIR = /lib/crda
 export LDLIBREG = -Wl,-rpath,$(LIBDIR)
 export REG_BIN = /lib/crda/regulatory.bin
 export USE_OPENSSL = 1
 export RUNTIME_PUBKEY_DIR = /lib/crda/pubkeys
 export RUNTIME_PUBKEY_ONLY = 1
-export V = 1
+export V = $(if $(filter terse,$(DEB_BUILD_OPTIONS)),0,1)
 #export DH_VERBOSE = 1
 
 %:
@@ -27,8 +28,11 @@
 
 override_dh_install:
 	dh_install
-	install -D -o 0 -g 0 -m 755 debian/setregdomain \
+	install -D -m 755 debian/setregdomain \
 		debian/crda/lib/crda/setregdomain
 	mkdir -m 755 debian/crda/$(RUNTIME_PUBKEY_DIR)
 	install -m 644 pubkeys/*.pem debian/pubkeys/*.pem \
 		debian/crda/$(RUNTIME_PUBKEY_DIR)/
+
+override_dh_auto_clean:
+	$(MAKE) clean

=== debian/watch ===
version=3
opts="mode=git, pgpmode=none, pretty=4.14+git%cd.%h" \
https://git.kernel.org/pub/scm/linux/kernel/git/mcgrof/crda.git \
HEAD

## crda 4.14+git20191112.9856751.1

=== debian/changelog ===
crda (4.14+git20191112.9856751.1-1+dde) UNRELEASED; urgency=medium

  * update

 -- Debian kernel team <debian-kernel@lists.debian.org>  Mon, 25 Jul 2022 03:27:01 -0400

crda (4.14+git20191112.9856751.1-1+dde) unstable; urgency=medium

  * Add -Wno-error=deprecated-declarations to fix the build against OpenSSL 3

 -- Zhang FeiLong <zhangfeilong@uniontech.com>  Fri, 20 May 2022 14:34:26 +0800
